## org.apache.lucene.codecs.blockterms
Class VariableGapTermsIndexWriter.EveryNOrDocFreqTermSelector

    java.lang.Object
      org.apache.lucene.codecs.blockterms.VariableGapTermsIndexWriter.IndexTermSelector
          org.apache.lucene.codecs.blockterms.VariableGapTermsIndexWriter.EveryNOrDocFreqTermSelector

Enclosing class:
  VariableGapTermsIndexWriter

    public static final class VariableGapTermsIndexWriter.EveryNOrDocFreqTermSelector

extends VariableGapTermsIndexWriter.IndexTermSelector

Sets an index term when docFreq >= docFreqThresh, or every interval terms. This should reduce seek time to high docFreq terms.

Constructor Summary
`VariableGapTermsIndexWriter.EveryNOrDocFreqTermSelector(int docFreqThresh, int interval)`

Method Summary
`boolean` `isIndexTerm(BytesRef term, TermStats stats)` Called sequentially on every term being written, returning true if this term should be indexed
`void` `newField(FieldInfo fieldInfo)` Called when a new field is started.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VariableGapTermsIndexWriter.EveryNOrDocFreqTermSelector

    public VariableGapTermsIndexWriter.EveryNOrDocFreqTermSelector(int docFreqThresh,
                                                                   int interval)

Method Detail

### isIndexTerm

    public boolean isIndexTerm(BytesRef term,
                               TermStats stats)

  Description copied from class: `VariableGapTermsIndexWriter.IndexTermSelector`
  Called sequentially on every term being written, returning true if this term should be indexed

  Specified by:
    `isIndexTerm` in class `VariableGapTermsIndexWriter.IndexTermSelector`

### newField

    public void newField(FieldInfo fieldInfo)

  Description copied from class: `VariableGapTermsIndexWriter.IndexTermSelector`
  Called when a new field is started.

  Specified by:
    `newField` in class `VariableGapTermsIndexWriter.IndexTermSelector`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.